package aexp.customadapterxml;

import android.content.Context;
import android.graphics.Color;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewInflate;
import android.widget.LinearLayout;
import android.widget.TextView;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import java.util.List;

public class WeatherAdapter extends BaseAdapter {

    private Context context;
    private List<Weather> weatherList;
	private int rowResID;

    public WeatherAdapter(Context context, int rowResID,
						List<Weather> weatherList ) { 
        this.context = context;
		this.rowResID = rowResID;
        this.weatherList = weatherList;
    }

    public int getCount() {                        
        return weatherList.size();
    }

    public Object getItem(int position) {     
        return weatherList.get(position);
    }

    public long getItemId(int position) {  
        return position;
    }

    public View getView(int position, View convertView, ViewGroup parent) { 
        Weather weather = weatherList.get(position);
		ViewInflate inflate = ViewInflate.from( context );
		View v = inflate.inflate( rowResID, parent, false, null);
		TextView cityControl = (TextView)v.findViewById( R.id.city );
		if( cityControl != null )
			cityControl.setText( weather.getCity() );
		TextView temperatureControl = (TextView)v.findViewById( R.id.temperature );
		if( temperatureControl != null )
			temperatureControl.setText( Integer.toString( weather.getTemperature() ) );
	    ImageView skyControl = (ImageView)v.findViewById( R.id.sky );
		if( skyControl != null )
	    	skyControl.setImageResource( weather.getSkyResource() );
        return v;
    }

}
